##### 7.7.21.0. commRing

Procedure from library `dmodloc.lib` (see dmodloc_lib).

Usage:
  commRing();

Return:
  ring, basering without non-commutative relations

Example:

    LIB "dmodloc.lib";
    def W = makeWeyl(3);
    setring W; W;
    ==> //   characteristic : 0
    ==> //   number of vars : 6
    ==> //        block   1 : ordering dp
    ==> //                  : names    x(1) x(2) x(3) D(1) D(2) D(3)
    ==> //        block   2 : ordering C
    ==> //   noncommutative relations:
    ==> //    D(1)x(1)=x(1)*D(1)+1
    ==> //    D(2)x(2)=x(2)*D(2)+1
    ==> //    D(3)x(3)=x(3)*D(3)+1
    def W2 = commRing();
    setring W2; W2;
    ==> //   characteristic : 0
    ==> //   number of vars : 6
    ==> //        block   1 : ordering dp
    ==> //                  : names    x(1) x(2) x(3) D(1) D(2) D(3)
    ==> //        block   2 : ordering C
    ring r = 0,(x,y),dp;
    def r2 = commRing(); // same as r
    setring r2; r2;
    ==> //   characteristic : 0
    ==> //   number of vars : 2
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y
    ==> //        block   2 : ordering C

User manual for Singular version 4-0-3, 2016, generated by texi2html.